# hey Emacs, its -*- rpm-spec -*-
# $Id: php,v 1.21 2002/03/27 16:58:50 ab Exp $

#set_verify_elf_method skip
#set_automake_version 1.5
%set_autoconf_version 2.13

%define php_sapi cli
%define conflictver   4.3.2-alt0.cvs20030405

# This variable from php.rpm.macros
%define php_version    4.3.9
%define php_release    20040802
%define php_libdir     %_libdir/php/%php_version
%define php_sysconfdir %_sysconfdir/php/%php_version
%define php_extconf    %_datadir/php/%php_version/extconf
%define php_servicedir %_datadir/php/%php_version/service
%define php_rpmscripts %_datadir/php/scripts
%define php_postin     %php_rpmscripts/php_postin.sh
%define php_preun      %php_rpmscripts/php_preun.sh

%define php_name php-%php_version-%php_release

Summary: The PHP4 scripting language
Summary(fr):	Le langage de script PHP4
Summary(ru_RU.CP1251):	  PHP4
Name: php
Version: %php_version
Release: alt0.cvs%php_release
Group: Development/Other
Serial: 1

Source0: %php_name.tar.bz2
Source2: php.rpm.macros
Source6: php-packaging.readme

Patch1: php-version.patch
Patch2: php-cli-build.patch
Patch3: php-shared-1.patch
Patch4: php-remove-sendmail.patch
Patch5: php-4.0.0-init.patch
Patch6: php-test-pcntl.patch
Patch7: php.ini-cli-dist.patch
Patch8: php-libtool.patch
Patch9: php-sapi-scandir.patch

# SAPI patch
Patch11: php-sapi-cli.patch

Patch12: php-devel-scripts-alternatives.patch
Patch13: php-4.3.6-dlopen.patch

License: PHP

PreReq:    php-libs = %version-%release
Obsoletes: php3
Conflicts: php-common < %conflictver

BuildPreReq: autoconf = 2.13
BuildPreReq: gdbm-devel libpam-devel bison byacc libtool chrpath
#BuildPreReq: flex zlib-devel libmm-devel libexpat-devel

# Automatically added by buildreq on Wed Oct 15 2003
BuildRequires: flex glibc-devel-static libexpat-devel libmm-devel termutils zlib-devel
BuildRequires: libalternatives-devel

%description
PHP4 is an HTML-embeddable scripting language.  PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple.  The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the base PHP files, and a standalone (CGI) version of
php. If you need apache support, you need to install mod_php

%description -l ru_RU.CP1251
PHP4 --   ,   HTML. PHP  
     , 
  ,   .   
 PHP    CGI-.

     PHP   (CGI)  
PHP,         CGI.   
 PHP   - Apache,   
  mod_php.

%package devel
Group: Development/C
Summary: Development package for PHP4
Summary(ru_RU.CP1251):	    PHP4
Requires: php = %version-%release, php-libs = %version-%release
Requires: libtool, autoconf, automake, tar, gzip, coreutils, zlib-devel
Conflicts: php-common < %conflictver
AutoReqProv: no

%description devel
The php-devel package lets you compile dynamic extensions to PHP4. Included
here is the source for the php extensions. Instead of recompiling the whole
php binary to add support for, say, oracle, install this package and use the
new self-contained extensions support. For more information, read the file
SELF-CONTAINED-EXTENSIONS.

%package libs
Group: Development/C
Summary: Package with common data for various PHP4 packages
Requires: php-base

Obsoletes: php-iconv php-xml php-common > %conflictver
Provides:  php-iconv php-xml php-common > %conflictver
Conflicts: php-common < %conflictver

%description libs
The php-libs package contains parts of PHP4 distribution which are in use
by other PHP4-related packages.

%prep
%setup -q -n %php_name
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
#patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%__cp Zend/LICENSE Zend/ZEND_LICENSE
%__cp Zend/ChangeLog Zend/ZEND_ChangeLog 
%__mv README.SELF-CONTAINED-EXTENSIONS SELF-CONTAINED-EXTENSIONS

# Make backup some files to make devel package.
%__mkdir_p php-devel/ext
%__mkdir_p php-devel/sapi
%__cp -dpR ext/* php-devel/ext/
%__cp -dpR sapi/* php-devel/sapi/
%__cp -dpR %SOURCE6 ./

%__libtoolize --automake -c -f

LIBS="$LIBS -lpthread"
CFLAGS="%optflags -fPIC"
export LIBS CFLAGS

./buildconf --force
%build
# Build CLI version
export oldstyleextdir=yes
export EXTENSION_DIR=%php_libdir/extensions 

%configure \
	--enable-cli \
	--disable-cgi \
	--enable-shared=yes \
	--enable-static=no \
	--disable-rpath \
	--enable-inline-optimization \
	--enable-memory-limit \
	--disable-debug \
	--enable-pic \
	--prefix=%_prefix \
	--with-zlib=%_usr \
	--disable-magic-quotes \
	--enable-safe-mode \
	--with-exec-dir=%_bindir \
	--with-regex=system \
	--enable-sysvsem \
	--enable-sysvshm \
	--with-mm \
	--with-dbase \
	--with-filepro \
	--enable-ftp \
	--with-gettext \
	--enable-yp \
	--enable-session \
	--enable-shmop \
	--enable-calendar \
	--enable-bcmath \
	--enable-ctype \
	--with-iconv \
	--without-mysql \
	--with-layout=gnu \
	--enable-xml \
	--with-expat-dir=%_usr \
	--enable-wddx \
	--without-pear 

# PHP4's configuration system does not respect $prefix, we need to override
# all variables in order to install package in a safe manner
BUILD_ENV_VARS="top_srcdir=%_builddir/%php_name \
		bindir=%buildroot/%_bindir \
		sbindir=%buildroot/%_sbindir \
		includedir=%buildroot/%_includedir \
		exec_prefix=%buildroot/%_exec_prefix \
		libdir=%buildroot/%_libdir \
		prefix=%buildroot/%_prefix \
		mandir=%buildroot/%_mandir \
		localstatedir=%buildroot/%_localstatedir \
		EXTENSION_DIR=%php_libdir/extensions \
		INSTALL_ROOT=%buildroot \
		PEAR_INSTALLDIR=%buildroot/%php_libdir/pear"

%make_build $BUILD_ENV_VARS

%install
BUILD_ENV_VARS="top_srcdir=%_builddir/%php_name \
		bindir=%_bindir \
		sbindir=%_sbindir \
		includedir=%_includedir \
		exec_prefix=%_exec_prefix \
		libdir=%_libdir \
		prefix=%_prefix \
		mandir=%_mandir \
		INSTALL_ROOT=%buildroot \
		EXTENSION_DIR=%php_libdir/extensions \
		localstatedir=/var/lib \
		PEAR_INSTALLDIR=%php_libdir/pear"

# Install main stuff
%makeinstall $BUILD_ENV_VARS 
#	    "INSTALL_CLI=install -m 0755 sapi/cli/.libs/php %buildroot%_bindir/"

# All things already installed, install differences only
%__mkdir_p %buildroot%php_libdir/extensions
%__mkdir_p %buildroot%_bindir 

%__mkdir_p %buildroot%php_sysconfdir/cli/php.d
%__mkdir_p %buildroot%php_extconf
%__mkdir_p %buildroot%php_servicedir/cli

%__install -m 644 php.ini-dist %buildroot%php_sysconfdir/cli/php.ini
%__subst 's/@php_version@/%php_version/g' %buildroot%php_sysconfdir/cli/php.ini

pushd scripts/apache
find . -type f | xargs chmod 644
popd
%__mkdir_p php-devel/sapi/apache/apache/
%__cp -dpR scripts/apache/* php-devel/sapi/apache/apache/

%__mkdir_p %buildroot%prefix/src/php-devel/ext
%__mkdir_p %buildroot%prefix/src/php-devel/sapi
%__cp -dpR php-devel/ext/* %buildroot%prefix/src/php-devel/ext
%__cp -dpR php-devel/sapi/* %buildroot%prefix/src/php-devel/sapi

# Add necessary files to build any sapi packages.
%__mkdir_p %buildroot%prefix/src/php-devel/sapi/BUILD
%__cp -dpR main/internal_functions.c %buildroot%prefix/src/php-devel/sapi/BUILD
%__cp -dpR include		     %buildroot%prefix/src/php-devel/sapi/BUILD

# RPM MACRO
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__cp %SOURCE2 %buildroot%_sysconfdir/rpm/macros.d/php

%__chmod 755 %buildroot%_bindir/*

# This file is not needed by any program.
%__rm -f %buildroot/%_libdir/libphp-%php_version.la

# Remove RPATH
/usr/bin/chrpath --delete %buildroot/%_bindir/php-%php_version

# Make alternatives support.
%__install -d %buildroot/%_altdir
php_weight=$(echo "%php_version" | sed 's/\.//g')

cat << EOF > %buildroot/%_altdir/php-%php_version.xml 
<group name="candidate">
	<option name="link">%_bindir/php</option>
	<option name="real">%_bindir/php-%php_version</option>
	<option name="weight" type="number">$php_weight</option>
	<group name="slave">
		<option name="link">%_man1dir/php.1</option>
		<option name="real">%_man1dir/php-%php_version.1</option>
	</group>
</group>
EOF

%pre
if [ -f "%_sysconfdir/php.ini" ]; then
    %__mkdir_p %php_sysconfdir/cli/
    %__cp      %_sysconfdir/php.ini %php_sysconfdir/cli/
    echo " === WARNING!           WARNING!                 WARNING! === "
    echo " From php version 20030903 cli config file will be locate     "
    echo " at %php_sysconfdir/cli/. Current config will be _coped_      "
    echo " to the new location.                                         "
fi
if [ -f "%_sysconfdir/php/cli/php.ini" ]; then
    %__mkdir_p %php_sysconfdir/cli/php.d
    %__cp      %_sysconfdir/php/cli/php.ini %php_sysconfdir/cli/
    %__cp      %_sysconfdir/php/cli/php.d/* %php_sysconfdir/cli/php.d/
    echo ""
    echo " === WARNING!           WARNING!                 WARNING! === "
    echo " From php version 4.3.6-alt0.cvs20040330 cli config file will "
    echo " be locate  at %php_sysconfdir/cli/. Current config will be   "
    echo " _coped_ to the new location.                                 "
fi

%post
%register_alternatives php-%php_version.xml 
if [ -x %php_postin ]; then 
    export php_servicedir=%php_servicedir 
    export php_sysconfdir=%php_sysconfdir 
    export php_extconf=%php_extconf 
    export sapiList=%php_sapi 
    %php_postin 
fi 

%preun
if [ $1 = 0 ]; then 
    %unregister_alternatives php-%php_version.xml 
    if [ -x %php_preun ]; then 
	export php_servicedir=%php_servicedir 
	export php_sysconfdir=%php_sysconfdir 
	export php_extconf=%php_extconf 
	export sapiList=%php_sapi 
	%php_preun 
    fi
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%_bindir/php-%php_version
%_altdir/php-%php_version.xml
%dir %php_sysconfdir/cli
%dir %php_sysconfdir/cli/php.d
%config(noreplace) %php_sysconfdir/cli/php.ini
%dir %_libdir/php/%php_version
%_libdir/php/%php_version/*
%dir %_datadir/php/%php_version
%_datadir/php/%php_version/*
%_man1dir/php-%php_version.1
%doc CODING_STANDARDS CREDITS INSTALL LICENSE
%doc NEWS README.* Zend/ZEND_* TODO php.ini-* EXTENSIONS

%files libs
%dir %_sysconfdir/php/%php_version
%dir %_datadir/php/%php_version
%dir %_libdir/php/%php_version
%_datadir/php/%php_version
%_libdir/libphp-%php_version.so
%doc tests run-tests.php 

%files devel
%dir %prefix/src/php-devel
%dir %prefix/src/php-devel/ext
%dir %prefix/src/php-devel/sapi
%dir %_includedir/php
%_includedir/php/*
%_bindir/php-config
%_bindir/phpextdist
%_bindir/phpize
%prefix/src/php-devel/ext/*
%prefix/src/php-devel/sapi/*
%php_libdir/build/*
%dir %php_libdir/build
%_sysconfdir/rpm/macros.d/php
%doc SELF-CONTAINED-EXTENSIONS php-packaging.readme

%changelog
* Tue Jul 20 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- New cvs snapshot;
- security fixes;

* Wed Jun 09 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531.1
- New cvs snapshot;

* Mon May 31 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- New cvs snapshot;
- Environment variable PHPRC overriding is removed.

* Fri May 21 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- New cvs snapshot;
- From php-common was removed all librares to new package php-libs;
- php-common was renamed to php-base;
- Alternatives support added;
- Default php.ini changed:
    + alternatives support added;
    + variable default_charset='koi8-r' added;
    + variable define_syslog_variables=On added;
- php-pear was removed to standalone package.

* Fri Jan 30 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- New cvs snapshot.
- Shared Memory support added (enable-shmop).

* Tue Jan 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040106
- postin/preun script bugfix.

* Mon Dec 22 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031211
- New cvs snapshot php4.3.5 CVS-20031211
- build scheme fix:
  - postin bugfix (#3324).
- *.la files removed.

* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- minor build scheme fix:
  + macro php_optflags added.
  + sapi build environment changed.
- dlopen patch added. Don't open extension modules with RTLD_LAZY: better to 
  fail obviously at load-time rather than obscurely at run-time if they have 
  undefined symbols.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- New cvs snapshot.
- Simple spec cleanup.
- Package php-xml is obsolete. XML support is builtin libphp4common.
- Compile with memory limit support.

* Fri Oct 17 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031017
- New CVS snapshot.
- New scheme loading extensions. From now all extensions in 
  the /etc/<SAPI>/php.d/*.ini (Fixed #2940). This scheme fixed #2532.
  For more information please read documentation.
- New scheme creating/installing SAPI.
  + each SAPI may have own config file;
  + each SAPI may have own extensions kit.
- spec changes.

* Wed Sep 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20030903
- remove rpath from %_bindir/php %_libdir/apache/libphp4.so 

* Sat Aug 30 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20030830
- fresh cvs snapshot.

* Thu Jul 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.3-alt0.cvs20030708
- New CVS build.
- Bugfixes.
- php-gd2 was compiled with own libgd.
- php-gd1 is unsupported.

* Sat Apr 05 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.2-alt0.cvs20030405
- new CVS build
- SPEC file modification
- PEAR extracted to its own package 'php-pear'

* Sat Mar 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.1-alt0.cvs20030301
- new version PHP 4.3.1 CVS-20030301

* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes

* Mon Nov 04 2002 Alexey Gladkov <legion@altlinux.ru> 1:4.2.3-alt4.2
- Sendmail detection removed

* Tue Oct 29 2002 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1:4.2.3-alt4.1
- updated BuildPreReq

* Sat Oct 26 2002 Alexey Gladkov <legion@altlinux.ru> 1:4.2.3-alt4
- PHP 4.2.3
- build with gcc 3.2
- SPEC file small modification

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows
    + additional patches for phpaudit (me)
- Updated:
    + Version number to reflect ALT changes
    + mod_php4.conf (AddHandler)

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt1
- 4.1.2
- Changed:
    + core is shared between SAPI modules (libphp4common.la)
    + documentation moved to php-manual external package to
      ease updates and multi-target builds (html, PDF, RTF)
    + files distribution across packages slightly modified to
      refine dependencies
    + modified post install scripts to follow documentation move


* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes
- Rebuild against DB 3.3

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release Candidate 2 for PHP 4.0.6
- Curl extension rolled back to RC1 due postponed autoconf 2.50 integration
- Blowfish crypto support fixed

* Mon May 28 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.2RC1
- Fixed build environment in curl, imap, informix, ming, mysql,
  xslt, and other extensions.

* Tue May 22 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.1RC1
- major mod_php4 fixes
- GD fixed (see NEWS / ChangeLog for more)
- HAVE_CONFIG_H define fixed (suitable for SCE compiling)

* Fri May 11 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.RC1
- Release Candidate 1 for PHP 4.0.6

* Tue May 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-alt1
- Release of PHP 4.0.5

* Tue Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- 6th release candidate for 4.0.5
- Fixed:
    + point to directory itself in PEAR to be graceful at uninstall phase

* Sun Mar 18 2001 Rider <rider@altlinux.ru> 4.0.5.RC1-ipl7mdk
- added patch from current PHP cvs. Fixed:
    Recode delayed loading in a much simpler way (switched back to php_ini.c 1.49)
    fixed a (C++) warning about implicit conversion from void*
    Fix the output buffering bug Andre found

* Fri Mar 16 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl6mdk
- Dynamic loader bug finally fixed
- Automatic configuration for apache version-release scheme

* Fri Mar 16 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl5mdk
- Fixed bug in Zend language parser

* Wed Mar 14 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl4mdk
- Various fixes in mysql and midgard modules from CVS applied

* Wed Mar 14 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl3mdk
- Fixed:
    + mod_php4.c tends to be crashed with incorrect php.ini entries
    + mod_php4 built without libphp_common.so to solve problems
      with unresolved symbols from foreign libraries like zlib.
      This is temporary wasteful step but it works.

* Tue Mar 13 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl2mdk
- PCRE module fixed
- Using PHP_4_0_5 branch from CVS

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl1mdk
- Release candidate 1 for PHP 4.0.5

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103091308mdk
- Ctype and Wddx modules are compiled in
- SPEC file cleaned up
- Build process for CGI and Apache version unified:
    + CGI and Apache modules are building simultaneusly
    + Configuration path for Apache module compiled in as /etc/httpd/conf/php.ini
    + Configuration path for CGI executable set to /etc/php.ini
    + Second live granted to the common library libphp_common.so
- Updated:
    + tests directory added as documentation to php-common
    + PEAR documentation and Experimental modules packaged as docs for php-common

* Fri Mar 09 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103082345mdk
- Rebuild with --enable-versioning

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200103072345mdk
- Spec file rewritten, shared modules extracted to their own nosrc.rpms for
  better manageability
- Get rid of shared library to be consistent in flags for external build
- PEAR extracted to its own package 'php-common'

* Fri Feb 25 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.200102241145mdk
- Prepared for PHP 4.0.5 RC1
- Build phase rewritten to allow build dynamic modules using internal PHP4 facilities
- Set of dynamically built modules extended

* Fri Feb 09 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl7mdk
- Circular obsoletes fixed
- Magic quotes disabled by default

* Fri Feb 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl6mdk
- Rebuild against new RA

* Fri Feb 02 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl5mdk
- Eliminate beings like AESCtl while apachectl in our environment exactly
  the same thing

* Fri Feb 02 2001 Alexander Bokovoy <ab@avilink.net> 4.0.4pl1-ipl4mdk
- rebuild against final MySQL 3.23.32 with DB 3.2.9
- rebuild against Apache 1.3.17rusPL.30

* Mon Jan 22 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-3mdk
- fix upgrade scripts

* Sun Jan 21 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-2mdk
- rebuild against new MySQL for php-mysql

* Thu Jan 18 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4pl1-1mdk
- 4.0.4pl1; security fixes for PHP directive problems

* Thu Dec 21 2000 Vincent Danen <vdanen@mandrakesoft.com> 4.0.4-1mdk
- 4.0.4

* Tue Dec 12 2000 Vincent Saugey <vince@mandrakesoft.com> 4.0.3pl1-3mdk
- declare top_srcdir at build step

* Sat Nov 11 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.3pl1-2mdk
- correct php-pgsql preuninstall typo (thanx Florent Guillaume)

* Sun Oct 22 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.3pl1-1mdk
- Bugfix + Security release

* Wed Sep 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-4mdk
- Fixed requires
- Rebuilt for new Apache
- Removed security patch SRADV00001 because it was causing segfaults with
  POST and multipart/form-data
- Removed CVS junk files in php-manual

* Fri Sep  8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-3mdk
- Added security patch from Vincent Danen for (SRADV00001) Arbitrary file
  disclosure through PHP file upload
- Patched aclocal.m4 and acinclude.m4... Looks like every release they
  break something!
- imap was also broken. Added -lpam to the flags.
- compiled php with -lpthread to fix damn segfaults
- new MySQL release: compile with lmysqlclient_r
- removed conflict with midgard (i heard that both can coexist now)
- mysql: Tested phpMyAdmin - success! Tested also standalone with
  code from: php-manual/function.mysql-pconnect.html
- gd: Tested generation of png graphics with truetype, both in standalone
  and apache module
- pgsql: tested with standalone binary and the example code contained in
  php-manual/ref.pgsql.html. After a "createuser apache" in postgres, also
  tested successfully the apache mode
- imap: tested imap_open and imap_close on port 110 with standalone
  and in apache module
- ldap: tested functions in php-manual/function.ldap-add.html
  with standalone and apache module
- split dba_gdbm_db2 and readline from the main package. The first, because we
  might support db3 eventually, and the lase because it required 3
  additional libraries, and was only for the standalone version.
- tested dba_gdbm_db2 with standalone and apache module with sample code from
  php-manual/ref.dba.html
- tested readline with standalone (it is interactive so it won't work with
  apache) with code from php-manual/ref.readline.html
- we now use a libphp4_shared: this saves space and permits to use
  any module with any server API
- put the SAPI files into the php-devel package so we can compile eventually
  thttpd, roxen, or the servlet API
- put php_standalone into the main php package to be able to use the new
  PEAR interface (like CPAN, but for PHP4)
- renamed all modules. They are now called php-something instead of
  mod_php-something. The reason is they can be used with either php-thttpd,
  php-standalone, php-servlet or under apache (where this module is still
  called mod_php, to be consistent with mod_perl, mod_jserv, etc..).

* Fri Sep  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-2mdk
- Heavy use of perl s///g to make it install at the right place

* Thu Aug 31 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.2-1mdk
- shiny new 4.0.2!!
- removed db3 support: it crashes the configure script, and besides, it's
  not in the distro (only in contribs). We use GDBM and DB2.

* Thu Aug 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-6mdk
- created extensions package
- fixed mysql support

* Wed Aug  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-5mdk
- link mysql.so with libmysqlclient.so

* Wed Aug  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-4mdk
- Compile with latest MySQL
- Changed paths for FHS
- Macroize
- Fixed the BuildRequires (please, don't auto-regenerate)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1pl2-3mdk
- automatically added BuildRequires

* Fri Jul 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-2mdk
- added recode
- rebuilt for new EAPI
- use new AESctl script for %post
- Bonnne Fete la France! =)

* Sat Jul 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.1pl2-1mdk
- update to 4.0.1pl2 (lots of bug fixes)
- moved php binary to php-standalone package
- fixed module compilation (specially the again badly broken pgsql)

* Tue Jun 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.0-1mdk
- update to PHP 4.0.0
- compile in two pass so that the extensions work both with PHP and mod_php
- include development package. This will enable us to compile dynamic
  extensions outside the main PHP4 package. This will come handy for
  the Oracle, Sybase, swf, etc. modules.
- spent long nights figuring how to make GD+ttf+t1lib with PHP4
- many fixes to remain RH-compatible a bit, but to keep our improvements,
  and have a working config (RH handles extensions poorly and makes php
  require postgres, ldap and imap even if the use won't use it).
- change most of the Requires to Prereqs, because the post edits config files
- change most of the postuns to preuns in case php gets removed before subpkgs
- make subpackages require php = %version
- add Obsoletes: phpfi, because their content handler names are the same
- add standalone binary
- change license from "GPL" to "PHP"

* Wed Jun 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-6mdk
- last version, PHP4 is on the way (hurray! ;-)
- added -llber to the ldap package
- split gd library out of the main package so it doesn't require
  XFree-libs!
- removed Dadou's hack for i486 compilation. When cross-compiling,
  first build Apache, then install apache and apache-devel before
  you compile other apache modules. It will then compile for the
  same architecture that apache has been compiled with.

* Thu May 18 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.16-5mdk
- Better fix for i486

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.16-4mdk
- Fix build for i486
- Fix some typos
- Fix build as user

* Mon May 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-3mdk
- added Prereq so it doesn't complain about missing php3.ini
- rebuild with EAPI 2.6.4 (bugfixes)
- include /usr/bin/*
- removed old manual from sources

* Thu Apr  6 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-2mdk
- rebuit with EAPI 2.6.3
- moved doc
- added -DHAVE_PQCMDTUPLES
- put ldap in separate module

* Thu Apr  6 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.16-1mdk
- 3.0.16 bugfix release

* Mon Apr  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0.15-4mdk
- fixed group
- created MySQL as a separate module to fix dependancies

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-3mdk
- rebuild for EAPI 2.6.1
- updated manual

* Mon Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-2mdk
- re-made gd+ttf patch. (again)

* Mon Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.15-1mdk
- added many BuildRequires (this is a very complex package!)
- upgraded to 3.0.15 (security updates)
- updated mysql client to 3.22.32
- added patch suggested by jeff b <jeff@univrel.pr.uconn.edu> to
  decrease the TOKEN_BITS from 20 to 18. This allows large applications
  written in PHP to not bomb out due to running out of tokens.

* Tue Jan 18 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.14
- updated mysql client to 3.22.30
- added support for ftp

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Mon Jan 3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.13
- fixed png support
- fixed reversed ttf fonts
- fixed imap and pgsql for good, made apache restart when installing these
  packages
- updated mysql client to 3.22.29

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Oxygen and new mm-1.0.12 in Apache
- added ttf and t1lib, which are now part of Mandrake
- added gd support (png only, to enable gifs, you have to rebuild the rpm
  with the old library)

* Fri Sep 3 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for new mm-1.0.10 in Apache

* Thu Aug 26 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added Conflicts line

* Fri Aug 19 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Solaris adaptations

* Wed Aug 18 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- modified post scripts

* Sat Jul 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.12

* Wed Jul 21 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 3.0.11
- added RPM_OPT_FLAGS
- added fr locale
- "mandrakized" package again

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.9
- fixed postgresql module and made separate package
- separated manual into separate documentation package

* Mon May 24 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.8, which fixes problems with glibc 2.1.
- took some ideas grom Gomez's RPM.

* Tue May 04 1999 Preston Brown <pbrown@redhat.com>
- hacked in imap support in an ugly way until imap gets an official
  shared library implementation

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.

